org.freedesktop

## Interface DBus.Binding.Tests

- All Superinterfaces:
    org.freedesktop.dbus.DBusInterface
  Enclosing interface:
    DBus.Binding

      public static interface DBus.Binding.Tests
      extends org.freedesktop.dbus.DBusInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DBus.Binding.Triplet<String,org.freedesktop.dbus.UInt32,Short>` | `DeStruct(DBus.Binding.TestStruct a)`
    `void` | `Exit()`
    `<T> org.freedesktop.dbus.Variant<T>` | `Identity(org.freedesktop.dbus.Variant<T> input)`
    `<T> org.freedesktop.dbus.Variant<T>[]` | `IdentityArray(org.freedesktop.dbus.Variant<T>[] input)`
    `boolean` | `IdentityBool(boolean input)`
    `boolean[]` | `IdentityBoolArray(boolean[] input)`
    `byte` | `IdentityByte(byte input)`
    `byte[]` | `IdentityByteArray(byte[] input)`
    `double` | `IdentityDouble(double input)`
    `double[]` | `IdentityDoubleArray(double[] input)`
    `short` | `IdentityInt16(short input)`
    `short[]` | `IdentityInt16Array(short[] input)`
    `int` | `IdentityInt32(int input)`
    `int[]` | `IdentityInt32Array(int[] input)`
    `long` | `IdentityInt64(long input)`
    `long[]` | `IdentityInt64Array(long[] input)`
    `String` | `IdentityString(String input)`
    `String[]` | `IdentityStringArray(String[] input)`
    `org.freedesktop.dbus.UInt16` | `IdentityUInt16(org.freedesktop.dbus.UInt16 input)`
    `org.freedesktop.dbus.UInt16[]` | `IdentityUInt16Array(org.freedesktop.dbus.UInt16[] input)`
    `org.freedesktop.dbus.UInt32` | `IdentityUInt32(org.freedesktop.dbus.UInt32 input)`
    `org.freedesktop.dbus.UInt32[]` | `IdentityUInt32Array(org.freedesktop.dbus.UInt32[] input)`
    `org.freedesktop.dbus.UInt64` | `IdentityUInt64(org.freedesktop.dbus.UInt64 input)`
    `org.freedesktop.dbus.UInt64[]` | `IdentityUInt64Array(org.freedesktop.dbus.UInt64[] input)`
    `boolean` | `Invert(boolean a)`
    `Map<String,List<String>>` | `InvertMapping(Map<String,String> a)`
    `List<org.freedesktop.dbus.Variant<Object>>` | `Primitize(org.freedesktop.dbus.Variant<Object> a)`
    `long` | `Sum(int[] a)`
    `void` | `Trigger(String a, org.freedesktop.dbus.UInt64 b)`

    - ### Methods inherited from interface org.freedesktop.dbus.DBusInterface

      `isRemote`

- - ### Method Detail

    - #### Identity

          <T> org.freedesktop.dbus.Variant<T> Identity(org.freedesktop.dbus.Variant<T> input)

    - #### IdentityByte

          byte IdentityByte(byte input)

    - #### IdentityBool

          boolean IdentityBool(boolean input)

    - #### IdentityInt16

          short IdentityInt16(short input)

    - #### IdentityUInt16

          org.freedesktop.dbus.UInt16 IdentityUInt16(org.freedesktop.dbus.UInt16 input)

    - #### IdentityInt32

          int IdentityInt32(int input)

    - #### IdentityUInt32

          org.freedesktop.dbus.UInt32 IdentityUInt32(org.freedesktop.dbus.UInt32 input)

    - #### IdentityInt64

          long IdentityInt64(long input)

    - #### IdentityUInt64

          org.freedesktop.dbus.UInt64 IdentityUInt64(org.freedesktop.dbus.UInt64 input)

    - #### IdentityDouble

          double IdentityDouble(double input)

    - #### IdentityString

          String IdentityString(String input)

    - #### IdentityArray

          <T> org.freedesktop.dbus.Variant<T>[] IdentityArray(org.freedesktop.dbus.Variant<T>[] input)

    - #### IdentityByteArray

          byte[] IdentityByteArray(byte[] input)

    - #### IdentityBoolArray

          boolean[] IdentityBoolArray(boolean[] input)

    - #### IdentityInt16Array

          short[] IdentityInt16Array(short[] input)

    - #### IdentityUInt16Array

          org.freedesktop.dbus.UInt16[] IdentityUInt16Array(org.freedesktop.dbus.UInt16[] input)

    - #### IdentityInt32Array

          int[] IdentityInt32Array(int[] input)

    - #### IdentityUInt32Array

          org.freedesktop.dbus.UInt32[] IdentityUInt32Array(org.freedesktop.dbus.UInt32[] input)

    - #### IdentityInt64Array

          long[] IdentityInt64Array(long[] input)

    - #### IdentityUInt64Array

          org.freedesktop.dbus.UInt64[] IdentityUInt64Array(org.freedesktop.dbus.UInt64[] input)

    - #### IdentityDoubleArray

          double[] IdentityDoubleArray(double[] input)

    - #### IdentityStringArray

          String[] IdentityStringArray(String[] input)

    - #### Sum

          long Sum(int[] a)

    - #### InvertMapping

          Map<String,List<String>> InvertMapping(Map<String,String> a)

    - #### DeStruct

          DBus.Binding.Triplet<String,org.freedesktop.dbus.UInt32,Short> DeStruct(DBus.Binding.TestStruct a)

    - #### Primitize

          List<org.freedesktop.dbus.Variant<Object>> Primitize(org.freedesktop.dbus.Variant<Object> a)

    - #### Invert

          boolean Invert(boolean a)

    - #### Trigger

          void Trigger(String a,
                       org.freedesktop.dbus.UInt64 b)

    - #### Exit

          void Exit()

Copyright © 2020 JBoss by Red Hat. All rights reserved.